<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'qtype_coderunner', language 'zh_cn', version '2.9'.
 *
 * @package     qtype_coderunner
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['HIDE'] = '隐藏';
$string['HIDE_IF_FAIL'] = '如果失败了隐藏';
$string['HIDE_IF_SUCCEED'] = '如果成功了隐藏';
$string['SHOW'] = '显示';
$string['aborted'] = '测试因错误而中止。';
$string['ace-language'] = 'Ace语言';
$string['addingcoderunner'] = '添加新的CodeRunner题目';
$string['advanced_customisation'] = '高级设置';
$string['ajax_error'] = '***AJAX错误。不要保存！***';
$string['allok'] = '通过所有测试！';
$string['allornone'] = '必须为所有测试用例提供测试代码，要么任何测试用例都不要提供测试代码。';
$string['allornothing'] = '非满分即零蛋';
$string['allornothing_help'] = '如果勾选了\'非满分即零蛋\'，则所有测试用例必须满足提交才能获得任何分数。否则，通过将所有通过的测试用例的分数相加，并将其表示为最大可能标记的分数，从而获得分数。

只有在未选中\'非满分即零蛋\'复选框时，才能指定每个测试用例标记。

如果使用一个模板分级器，将部分分数授予测试用例，通常应取消\'非满分即零蛋\'。';
$string['allowmultiplestdins'] = '允许多个输入';
$string['answer'] = '答案';
$string['answer_help'] = '可以在此处输入示例答案，供问题作者检查，并可以选择在查看过程中向学生显示。 批量测试器脚本也使用它。 保存时将检查非空答案的正确性，除非未选中\'保存时验证\\';
$string['answerbox_group'] = '答案框';
$string['answerboxlines'] = '行';
$string['answerpreload'] = '预检查的答案框';
$string['answerpreload_help'] = '提供在此的文本将预加载到学生的答案框中。';
$string['answerprompt'] = '答案：';
$string['answerrequired'] = '请提供非空答案';
$string['asolutionis'] = '老师的解决方法';
$string['atleastonetest'] = '您必须为此问题至少提供一个测试用例。';
$string['bad_dotdotdot'] = '误用\'…\'。必须在末尾，放在两个递增的惩罚数后面';
$string['bad_new_prototype_name'] = '新的原型名称非法：已被使用';
$string['badcputime'] = 'CPU的时间限制必须留空，或为大于零的整数';
$string['bademptyprecheck'] = '预提交校验失败，出现以下意外输出：';
$string['badmemlimit'] = '内存限制必须留空或非负整数';
$string['badpenalties'] = '惩罚系数必须是是范围[0，100]内的数字，以逗号分隔';
$string['badquestion'] = '问题有错误';
$string['badsandboxparams'] = '\'其他\'字段（沙盒参数）必须为空白或有效的JSON记录';
$string['badtemplateparams'] = '模板参数必须为空或有效的JSON记录';
$string['brokencombinator'] = '期望{$a->numtests}测试结果，得到{$a->numresults}。可能是输出过多或题目本身有错误？';
$string['brokentemplategrader'] = '来自打分器的错误输出：{$a->output}。程序执行可能已中止（例如超时或超出内存限制）。';
$string['bulktestcontinuefromhere'] = '从这里开始重新或继续运行';
$string['bulktestindextitle'] = 'CR批测试';
$string['bulktestrun'] = '运行系统中所有问题的所有测试（慢！仅限管理员）';
$string['coderunner'] = '程序代码';
$string['coderunner_help'] = '对一个问题作答，不管该问题是程序片段、函数或整个程序，作答者以一种满足该规范的指定计算机语言输入源代码。';
$string['coderunner_install_testsuite_failures'] = '测试失败的用例';
$string['coderunner_install_testsuite_intro'] = '此页面使您可以测试带有示例答案的CodeRunner问题是否正常运行。';
$string['coderunner_install_testsuite_noanswer'] = '不带示例答案的问题';
$string['coderunner_install_testsuite_title'] = '适用于CodeRunner的测试套件示例答案';
$string['coderunner_install_testsuite_title_desc'] = '<a href="{$a-> link}\'>示例答案测试脚本</a>验证带有示例答案的问题是否正确执行。';
$string['coderunner_link'] = 'question/type/coderunner';
$string['coderunner_question_type'] = 'CR题目类型：';
$string['coderunnercontexts'] = 'CR题目的上下文';
$string['coderunnersettings'] = 'CR设置';
$string['coderunnersummary'] = '答案是程序代码，在一组测试用例的上下文中执行，以确定其正确性。';
$string['coderunnertype_help'] = '选择编程语言和问题类型。选择类型后，可以在下面的\'问题类型详细信息\'面板中查看详细信息。';
$string['columncontrols'] = '结果表';
$string['columncontrols_help'] = '复选框，选择提交后应向学生显示结果表的哪些列';
$string['confirm_proceed'] = '如果在未选中\'定制\'的情况下保存此问题，则所做的任何定制都将丢失。 继续吗？';
$string['cputime'] = 'CPU运行时间限制(秒)';
$string['customisation'] = '定制';
$string['customisationcontrols'] = '定制';
$string['customise'] = '定制';
$string['datafiles_help'] = '执行扩展模板程序时，此处上载的所有文件都将添加到工作目录中。 这样可以方便地添加大量数据或支持文件。';
$string['default_penalty_regime'] = '默认的惩罚系数';
$string['default_penalty_regime_desc'] = '用于新问题的默认惩罚机制，包括用逗号分隔的惩罚百分比列表，可选地以", ..."结尾以表示等差数列的系数。';
$string['display'] = '显示';
$string['editingcoderunner'] = '编辑一个CR题目';
$string['empty_new_prototype_name'] = '新的问题类型名不能为空';
$string['emptypenaltyregime'] = '惩罚系数必须定义（从版本3.1开始）';
$string['enable'] = '激活';
$string['enable_diff_check'] = '启用 \'查看差异\' 按钮';
$string['enable_sandbox_desc'] = '允许使用指定的沙箱运行学生提交的内容';
$string['enablecombinator'] = '启用组合打分';
$string['equalitygrader'] = '精确匹配';
$string['error_loading_prototype'] = '加载原型出错，可能是网络问题或服务器down机？';
$string['errorstring-accessdenied'] = '访问沙盒被拒绝';
$string['errorstring-autherror'] = '未授权使用沙盒';
$string['errorstring-jobe400'] = '从Jobe服务器发来的错误信息';
$string['errorstring-ok'] = '确定';
$string['errorstring-overload'] = '因为服务器过载导致任务没有被运行。过一会再试试吧？';
$string['errorstring-pastenotfound'] = '请求的任务不存在';
$string['errorstring-submissionfailed'] = '提交沙盒验证失败';
$string['errorstring-submissionlimitexceeded'] = '提交沙盒请求达到限制次数';
$string['errorstring-unknown'] = '执行代码时发生意外错误。 沙盒服务器可能已关闭或过载。 也许不久之后再试一次？';
$string['errorstring-wronglangid'] = '请求的语言不存在';
$string['expected'] = '期望输出';
$string['expected_help'] = '测试的预期输出。模板显示为 {{TEST.expected}}';
$string['expectedcolhdr'] = '期望的结果';
$string['exportthisquestion'] = '输出本题目';
$string['exportthisquestion_help'] = '这将创建一个仅包含此问题的Moodle XML导出文件。 如果您想向开发人员报告CodeRunner中的一个错误，那么这个很有用。';
$string['extra'] = '其余的模板数据';
$string['extra_help'] = '模板使用的有时有用的额外文本字段，以{{TEST.extra}}访问';
$string['fail'] = '失败';
$string['failedhidden'] = '您的代码未通过一项或多项隐藏测试。';
$string['failedntests'] = '失败了 {$a->numerrors} 个用例';
$string['failedtesting'] = '失败的测试';
$string['fails'] = '失败';
$string['fileheader'] = '支持文件';
$string['filloutoneanswer'] = '您必须输入符合规范的源代码。您输入的代码将被执行，以确定其正确性，并相应地打分。';
$string['firstfailure'] = '第一个失败的测试用例：{$a}';
$string['forexample'] = '例如';
$string['goodemptyprecheck'] = '通过';
$string['gotcolhdr'] = '得到的结果';
$string['grader'] = '打分器';
$string['grading'] = '打分';
$string['gradingcontrols'] = '打分控制';
$string['hidden'] = '隐藏';
$string['hidedifferences'] = '隐藏差异';
$string['hiderestiffail'] = '如果失败了隐藏其余的用例';
$string['howtogetmore'] = '关更多详细信息，请选中\'在保存时验证\'以保存问题，然后手动进行测试';
$string['ideone_pass'] = 'Ideone 服务器密码';
$string['ideone_user'] = 'Ideone 服务器用户';
$string['info_unavailable'] = '问题类型信息不适用于自定义问题。';
$string['inputcolhdr'] = '输入';
$string['is_prototype'] = '用于原型';
$string['iscombinatortemplate'] = '是否组合式';
$string['jobe_apikey'] = 'Jobe的API密钥';
$string['jobe_host'] = 'Jobe服务器';
$string['language'] = '沙盒语言';
$string['languages'] = '语言';
$string['mark'] = '得分';
$string['marking'] = 'Mark allocation';
$string['markinggroup'] = '得分';
$string['memorylimit'] = '内存限制 (MB)';
$string['missinganswers'] = '缺少答案';
$string['missingoutput'] = '您必须提供此测试用例的预期输出。';
$string['missingprototypes'] = '缺少原型';
$string['morehidden'] = '一些隐藏的测试用例也失败了。';
$string['nearequalitygrader'] = '几乎完全匹配';
$string['negativeorzeromark'] = '分数必须大于零';
$string['noerrorsallowed'] = '您的代码必须通过所有测试才能获得任何分数。 再试一次吧。';
$string['nonnumericmark'] = '非数字打分';
$string['noqtype'] = '未选择问题类型';
$string['options'] = '选项';
$string['ordering'] = '排序';
$string['overallresult'] = '总体结果';
$string['pass'] = '通过';
$string['passes'] = '通过';
$string['penaltyregime'] = '(惩罚系数: {$a} %)';
$string['penaltyregimelabel'] = '惩罚系数：';
$string['pluginname_link'] = '题目/类型/CR';
$string['pluginnameadding'] = '增加一个CR题目';
$string['pluginnameediting'] = '编辑一个CR题目';
$string['pluginnamesummary'] = 'CodeRunner：在沙箱中运行学生提交的代码';
$string['precheck'] = '提交前预检查';
$string['precheck_all'] = '全部的';
$string['precheck_disabled'] = '禁用';
$string['precheck_empty'] = '空';
$string['precheck_examples'] = '例子';
$string['precheck_help'] = '如果启用了\'预检查\'，则学生将在通常的检查按钮的左侧有一个额外的按钮，使他们可以避免罚分
去运行测试，以对照问题的部分测试用例，检查其代码的正确性。

如果选择\'空\'，则将使用一个测试用例对每个测试模板进行一次运行，其中所有字段（测试代码，标
准输入，期望输出等）均为空字符串。非空输出被视为预检查失败。请谨慎使用：
某些问题类型将无法正确处理此问题，例如那些有生成输出的\'编写程序\'类型的问题。

如果选择了\'例子\'，则将针对所有已检查\'用作例子\'的测试用例来测试代码的正确性。

如果选择\'选中的\'，则会向每个测试用例添加一个额外的UI元素，以允许教师选择测试的特定子集。

如果选择\'全部的\'，则将运行所有测试用例（如果模板代码选择的话，尽管它们的行为可能与正常的
Check不同）。

模板可以使用Twig参数{{ IS_PRECHECK }}来检查运行是否为\'预检查\'运行，在预检查运行期间
为\'1\'，否则为\'0\'。';
$string['precheck_only'] = '仅是预检查';
$string['precheck_selected'] = '选择的';
$string['precheckingemptyset'] = '设置了预检查示例，但没有任何示例！';
$string['prototypeQ'] = '是原型？';
$string['prototype_error'] = '***原型加载失败。 不要保存！ ***';
$string['prototype_load_failure'] = '原型加载错误：';
$string['prototypecontrols'] = '原型';
$string['prototypeusage'] = 'CodeRunner课程{$a}的问题原型用法';
$string['prototypeusageindex'] = '可用的课程';
$string['qtypehelp'] = '问题类型的帮助';
$string['question_type_changed'] = '更改问题类型。 单击\'确定\'重新加载自定义字段，单击\'取消\'保留您的自定义字段。';
$string['questioncheckboxes_help'] = '要自定义问题类型，例如 要编辑问题模板或沙箱参数，请单击\'自定义\'复选框，并阅读新显示的表单元素上的可用帮助以获取更多信息。

如果单击模板调试复选框，则为每个测试用例生成的程序将显示在输出中。';
$string['questionloaderror'] = '加载问题失败';
$string['questionpreview'] = '问题预览';
$string['questiontype'] = '问题类型';
$string['questiontype_required'] = '您必须选择问题的类型';
$string['questiontypedetails'] = '问题类型的细节';
$string['regexgrader'] = '正则表达式';
$string['resultcolumns'] = '结果栏';
$string['resultcolumnsnotjson'] = '\'结果\'列字段不是有效的JSON字符串';
$string['resultcolumnsnotlist'] = '结果列字段必须为列说明符的JSON编码列表';
$string['resultcolumnspecbad'] = '碰到了无效的列说明符：每个列说明符必须是两个或更多字符串的列表';
$string['resultstring-abnormaltermination'] = '非正常结束';
$string['resultstring-compilationerror'] = '编译错误';
$string['resultstring-illegalsyscall'] = '非法的函数调用';
$string['resultstring-internalerror'] = 'CR内部错误：请告诉老师';
$string['resultstring-memorylimit'] = '超过了内存限制';
$string['resultstring-norun'] = '没有运行';
$string['resultstring-outputlimit'] = '输出过量';
$string['resultstring-runtimeerror'] = '运行错误';
$string['resultstring-sandboxoverload'] = '沙盒服务器过载。 也许很快再试一次会好了？';
$string['resultstring-sandboxpending'] = 'CR沙盒挂起错误：请告诉老师';
$string['resultstring-sandboxpolicy'] = 'CR沙盒策略错误：请告诉老师';
$string['resultstring-success'] = '成功';
$string['resultstring-timelimit'] = '超过了时间限制';
$string['run_failed'] = '运行测试用例失败';
$string['sandboxcontrols'] = '沙盒';
$string['sandboxerror'] = '来自沙箱的错误： [{$a->sandbox}]: {$a->message}';
$string['sandboxparams'] = '参数';
$string['seethisquestioninthequestionbank'] = '在题库中看到这个问题';
$string['showcolumns'] = '显示列：';
$string['showcolumns_help'] = '选择结果表的哪些列应显示给学生。空列将被隐藏。
默认值适用于大多数用途。';
$string['showdifferences'] = '显示差异';
$string['showsource'] = '模板调试';
$string['sourcecodeallruns'] = '调试：所有测试运行的源代码';
$string['stdin'] = '标准输入';
$string['stdin_help'] = '测试的标准输入，模板显示为{{TEST.stdin}}';
$string['supportscripts'] = '支持脚本';
$string['syntax_errors'] = '语法错误';
$string['template'] = '模板';
$string['template_changed'] = '\'每用例\'模板已更改-禁用组合方式？ [\'取消\'保持启用状态。]';
$string['templatecontrols'] = '模板控件';
$string['templateerror'] = '模板错误';
$string['templategrader'] = '模板打分器';
$string['templateparams'] = '模板参数';
$string['testcase'] = '测试用例 {$a}';
$string['testcasecontrols'] = '测试属性';
$string['testcasecontrols_help'] = '如果选中了\'用作示例\'，该测试将自动包含在问题的\'例如：\'结果表中。

\'显示\'组合框确定何时在结果表中向学生显示该测试用例。

如果选中了\'如果失败则隐藏其余用例\'并且该测试失败，则无论\'Display\'组合框的设置如
何，所有后续测试都将对学生隐藏。

\'得分\'设置该测试用例的值；仅当这不是一个\'非满分即零蛋\'问题时才有意义。

使用\'排序\'可以更改测试用例在保存时的顺序：此字段对测试用例进行排序。';
$string['testcases'] = '测试用例';
$string['testcode'] = '测试代码';
$string['testcode_help'] = '测试代码，模板显示为 {{TEST.testcode}}';
$string['testcolhdr'] = '测试';
$string['testingquestion'] = '测试问题 {$a}';
$string['testsplitterre'] = '测试分隔串（正则表达式）';
$string['testtype'] = '预检查测试类型';
$string['testtype_both'] = '两种';
$string['testtype_help'] = '如果启用了\'预检查\'并将其设置为\'选定\'，则此设置可控制是仅在常规
运行中，仅在进行预检查时还是在两次运行中都使用测试。
如果\'预检查\'设置为\'选定\'以外的任何其他设置，则此设置就被忽略了。';
$string['testtype_normal'] = '只做检查';
$string['testtype_precheck'] = '只做预检查';
$string['tooshort'] = '答案太短而没有意义，已经被无视忽略了';
$string['type_header'] = 'CR问题类型';
$string['typename'] = '问题类型名';
$string['typerequired'] = '请选择问题的类型（语言，格式等）';
$string['unauthorisedbulktest'] = '您无权访问任何CodeRunner问题';
$string['unknownerror'] = '一个意料之外的问题发生了。沙箱可能已关闭。请稍后重试。';
$string['useasexample'] = '用作示例';
$string['validateonsave'] = '保存时验证';
$string['xmlcoderunnerformaterror'] = 'Coderunner问题中的XML格式错误';
